Page MenuHomePhabricator

Debian package osmborder
Closed, ResolvedPublic

Description

Gehel to talk to someone (Mauretz? Maurice?) about starting this.

The packaging scripts themselves should be fairly simple, and can be based on osmcoastline from Debian. This will require libosmium, but that has already been backported from stretch to jessie.

Related Objects

StatusAssignedTask
DeclinedNone
DeclinedNone
DeclinedPnorman
DeclinedPnorman
ResolvedPnorman
OpenNone
OpenNone
OpenNone
InvalidNone
StalledPnorman
OpenPnorman
DeclinedNone
DeclinedNone
DeclinedNone
ResolvedPnorman
ResolvedPnorman
ResolvedPnorman
ResolvedPnorman
ResolvedPnorman
ResolvedPnorman
ResolvedMholloway
ResolvedPnorman
DeclinedPnorman
ResolvedPnorman
ResolvedPnorman
ResolvedPnorman
ResolvedPnorman
ResolvedPnorman
DeclinedPnorman
ResolvedPnorman
ResolvedPnorman
ResolvedPnorman
ResolvedPnorman
ResolvedPnorman
ResolvedPnorman
ResolvedPnorman
ResolvedPnorman
ResolvedPnorman
ResolvedPnorman
ResolvedPnorman
ResolvedPnorman
ResolvedPnorman
ResolvedPnorman
DuplicateNone
ResolvedPnorman
ResolvedNone
ResolvedPnorman
ResolvedPnorman
ResolvedPnorman
ResolvedPnorman
ResolvedPnorman
ResolvedPnorman
Resolveddebt
ResolvedPnorman
ResolvedPnorman
ResolvedNone
ResolvedPnorman
ResolvedPnorman
ResolvedPnorman
ResolvedPnorman
ResolvedPnorman
ResolvedPnorman
ResolvedPnorman
ResolvedPnorman
DeclinedPnorman
ResolvedPnorman
DeclinedPnorman
ResolvedPnorman
ResolvedPnorman
ResolvedPnorman
DeclinedNone
ResolvedMholloway
ResolvedGehel
ResolvedCKoerner_WMF
ResolvedPnorman
ResolvedPnorman
ResolvedPnorman
DeclinedCKoerner_WMF

Event Timeline

Pnorman created this task.Feb 8 2017, 8:07 PM

@MoritzMuehlenhoff can probably help us to understand the constraints we have on debian packages. As far as I understand:

  • we have packaging repositories in gerrit (StatsD package as an example)
  • we build those packages with pbuilder on carbon.wikimedia.org (accessible only to Ops) or within a VM on labs (the role::package::builder puppet class should setup everything needed)
  • git-buildpackage is probably the way to go here
  • some other docs...

A working packaging has been put in place by @Pnorman. It is versioned in our git repo. I had it built on copper with no issue. @Muehlenhoff will have a look at it next week before I upload it to our ap repo.

The package looks really nice. The only things that's missing is to switch the distribution from UNRELEASED to jessie-wikimedia before building it on copper.

@Pnorman: If the package is of general interest outside of WMF, you may want to consider to contact the debian-pkg-gis maintainers, maybe you can also maintain the package in Debian under their packaging umbrella.

I'm planning to talk to Bas (sebastic) from Debian GIS once https://github.com/pnorman/osmborder/issues/1 is solved. The packaging is done under the Debian GIS policy so it should should be easy for him to add.

The only things that's missing is to switch the distribution from UNRELEASED to jessie-wikimedia before building it on copper.

Done under the jessie-wikimedia branch

Gehel added a comment.Feb 23 2017, 3:03 PM

built on copper with:

BACKPORTS=yes GIT_PBUILDER_AUTOCONF=no DIST=jessie git-buildpackage -sa -us -uc --git-builder=git-pbuilder --git-debian-branch=jessie-wikimedia

and uploaded in jessie-wikimedia / main

Gehel moved this task from Backlog to Done on the Maps-Sprint board.Feb 23 2017, 3:03 PM

@Gehel, are we done with the packaging?

Yep, all is good (this task is already in the "Done" column. @Deskana / @debt: is it time to close it?

Deskana closed this task as Resolved.May 11 2017, 3:15 PM